Create a role
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLAuth-KeystringRequiredExample:
Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.
YOUR_AUTH_KEYBody
This class is used when creating or updating a Role.
codestring · min: 1RequiredExample:
The code of the Role.
EXAMPLEnamestring · min: 1RequiredExample:
The name of the Role.
Exampledescriptionstring · nullableOptionalExample:
The description of the Role.
Descriptiontagsstring · nullableOptionalExample:
The tags of the Role.
#ExampleResponses
201
The request was successful.
application/json
401
The user is not authorized to access the requested resource. The request is missing the required Auth-Key header.
application/json
403
The user's access was denied.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/rolesLast updated